## openvpn 2.0.7

=== service-win32/Makefile ===
# This makefile builds the OpenVPN win32 service
# wrapper using the mingw environment.
#
# service.c and service.h should be generated by
# applying service.patch to the Platform
# SDK service sample.

EXE = openvpnserv.exe

HEADERS = service.h

OBJS =	openvpnserv.o service.o

INCLUDE_DIRS =

CC = gcc -g -O2 -Wall -Wno-unused-function -Wno-unused-variable -mno-cygwin

all : ${OBJS}
	${CC} -o ${EXE} ${OBJS}

clean :
	rm -f ${OBJS} ${EXE}

%.o : %.c ${HEADERS}
	${CC} ${INCLUDE_DIRS} -c $< -o $@
