## openvpn 2.1.0

=== debian/changelog ===
openvpn (2.1.0-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use </dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatablitiy
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jul 2010 09:39:43 -0400

openvpn (2.1.0-3) unstable; urgency=low

  * The 'happy birthday to me' release
  * Fixed client hang when server does not push anything. (Closes: #587414)
    Thanks Thierry Carrez for the heads up.
  * Document possible problems when using 'chroot' option

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 09 Jul 2010 12:22:09 +0200

openvpn (2.1.0-2ubuntu2) maverick; urgency=low

  * debian/patches/client_hang_when_server_dont_push.patch: Fix client hanging
    on PUSH_REQUEST when server does not push any option (LP: #579737)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 28 Jun 2010 10:45:23 +0200

openvpn (2.1.0-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use </dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatablitiy
     + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc() 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 May 2010 03:06:19 +0100

openvpn (2.1.0-2) unstable; urgency=low

  * Patched ssl.[ch] to fix integer overflow. (Closes: #576827)
    Thanks David Sommerseth for the patch.
  * Fixed manpage typo. (Closes: #576823)
  * Bloat the init.d script with more dependencies required by the
    new init systems. Sucky. (Closes: #568647, #553338)
  * Reworded README.Debian (Closes: #550164)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 10 Apr 2010 17:26:42 +0200

openvpn (2.1.0-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #509078), remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatibility
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Jan Brinkmann <lucky@the-luckyduck.de>  Fri, 22 Jan 2010 00:47:33 +0100

openvpn (2.1.0-1) unstable; urgency=low

  * New upstream release
  * init.d script: added soft-restart to the options output. (Closes: #558174)
  * debian/control: Promoted net-tools from Recommends to Depends.
    (Closes: #557906)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Dec 2009 12:08:50 +0100

openvpn (2.1~rc22-1) unstable; urgency=low

  * New upstream release
  * Added a note on LDAP+TLS problems in README.Debian

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 04 Dec 2009 16:33:02 +0100

openvpn (2.1~rc21-2) unstable; urgency=low

  * debian/patches: Added eurephia.patch to support eurephia plug-in.
  * debian/patches: updated openvpn over ipv6 support to v0.4.10

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 19 Nov 2009 18:00:27 +0100

openvpn (2.1~rc21-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 Nov 2009 12:19:26 +0100

openvpn (2.1~rc20-3) unstable; urgency=low

  * Updated debian_openssl_vulnkeys.patch to fix false vulnerable
    key detection. (Closes: #483139).
    Thanks a lot Kees Cook and Jamie Strandboge for working on this!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 04 Nov 2009 17:18:03 +0100

openvpn (2.1~rc20-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking
        boot.
      - show per-VPN result messages
      - add "--script-security 2" by default for backwards compatibility
      - Add lab-base >= 3.2-14 to allow status_of_proc()
     + Dropped debian/patches/redirect-gateway.patch: Already applied 
       upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:36:35 +0000

openvpn (2.1~rc20-2) unstable; urgency=low

  * init.d script: Added X-Interactive header. (Closes: #549424)
  * patches/jjo-ipv6-support.patch: Added ipv6 support. (Closes: #307846)
    Patch from JuanJo Ciarlante.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 06 Oct 2009 13:04:07 +0200

openvpn (2.1~rc20-1) unstable; urgency=low

  * New upstream version.
    - Fixes redirect-gateway option parsing. (Closes: #541450)
  * Changed init.d Provides from 'vpn' to 'openvpn'. (Closes: #497563)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 02 Oct 2009 17:24:38 +0200

openvpn (2.1~rc19-2) unstable; urgency=low

  * Fixed init.d script to depend on $remote_fs and $syslog (Closes: #539764)
  * Added debian/README.source
  * Bumped Standards-Version to 3.8.3

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 30 Aug 2009 20:20:11 +0200

openvpn (2.1~rc19-1ubuntu2) karmic; urgency=low

  * debian/patches/redirect-gateway.patch: Fix regression introduced in
    2.1rc17 that makes redirect-gateway (without options) to be ignored.
    Patch cherrypicked from upstream 2.1rc20 (SVN r5011), LP: #445695

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 13 Oct 2009 09:31:20 +0200

openvpn (2.1~rc19-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #404099), remaining changes:
    - debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking boot
      - show per-VPN result messages
      - add "--script-security 2" by default for backwards compatibility
      - Added lsb-base>=3.2-14 depend to allow status_of_proc()

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 24 Jul 2009 19:22:13 +0530

openvpn (2.1~rc19-1) unstable; urgency=low

