## openvpn 2.1.3

=== debian/changelog ===
openvpn (2.1.3-4.1+youpi2) unreleased; urgency=low

  * Drop hard-coded dependency on libssl0.9.8.  (Closes: #623503)
  * Ignore ifconfig missing, we do this by hand on the Hurd for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Jul 2017 10:14:27 +0000

openvpn (2.1.3-4) unstable; urgency=low

  * Updated JuanJo's IPv6 patch. Now really fixes use from xinetd.
    Thanks JuanJo & Christian Weinberger for testing it (Closes: #574164)
  * Removed debian_openssl_vulnkeys.patch since we're Etch + 2 now.
    (Closes: #484105, #487994)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Mar 2011 10:04:21 +0100

openvpn (2.1.3-3) unstable; urgency=low

  * Updated JuanJo's IPv6 patch.
    Fixes use from xinetd (Closes: #574164)
  * Patched update-resolv-conf to support multiple DNS search domains.
    Thanks Jeremy Zawodny and Dave Walker for the patch.
    (Closes: #617740)
  * Added a note about bridge-utils helpers in README.Debian.
    Thanks Sven Hoexter. (Closes: #599192)
  * Updated Danish debconf templates. (Closes: #608425)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Mar 2011 13:08:12 +0100

openvpn (2.1.3-2) unstable; urgency=low

  * Applied upstream patch to solve random routes added when using
    'remote_host'. (Closes: #600166)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 21 Oct 2010 12:21:33 +0200

openvpn (2.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #595684)
  * Fixed multiple building in a row (Closes: #592086)
  * Added handling of newer DEB_BUILD_OPTIONS.
    Thanks Lionel Elie Mamane for the patch. (Closes: #592098)
  * Updated IPv6 patch from JuanJo Ciarlante.
    Fixes --multihome option. (Closes: #562099)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 Sep 2010 13:07:37 +0200
