=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
-Standards-Version: 3.9.0
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 7), libssl1.0-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
+Standards-Version: 3.9.1
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools, lsb-base (>= 3.2-14)
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools
 Suggests: openssl, resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
