## openvpn 2.2.0

=== debian/changelog ===
openvpn (2.2.0-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
   + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.
    + fix bug where '--script-security 2' would be passed for all
      daemons after the first. (LP: #794916

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Jun 2011 18:33:37 +0100

openvpn (2.2.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control: added Homepage field
  * Added debian/watch file
  * debian/patches: Added descriptions/authors/etc. to patches

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jun 2011 12:28:15 +0200

openvpn (2.2.0-1) experimental; urgency=low

  * New upstream release (Closes: #625281)
  * Removed Depends on open(ssl|vpn)-blacklist, since 
    debian_openssl_vulnkeys.patch is no longer used.
    Removed templates referring it too.
  * Removed manpage_dash_escaping.patch, applied upstream
  * Removed attemping_typo, applied upstream
  * Removed counter_type_for_bytes.patch, applied upstream
  * Removed eurephia.patch, applied upstream
  * Updated JuanJo's & Gert's IPv6 patches
  * Removed versioned Depends on libssl (Closes: #623503)
  * Improved kFreeBSD support. Thanks Gonéri Le Bouder for the patch
    (Closes: #626062)
  * Updated Dutch debconf templates. (Closes: #625526)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 May 2011 16:17:00 +0200

openvpn (2.1.3-5) experimental; urgency=low

  * Upload to experimental.
  * Add ipv6 payload patch by Gert Doering. (Closes: #604071)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Mar 2011 10:57:18 +0100

openvpn (2.1.3-4.1ubuntu2) oneiric; urgency=low

  [Alexander Zielke]
  * fix bug where '--script-security 2' would be passed for all
    daemons after the first. (LP: #794916)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 09 Jun 2011 13:59:08 -0400

openvpn (2.1.3-4.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
   + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 May 2011 02:14:39 +0100

openvpn (2.1.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop hard-coded dependency on libssl0.9.8.  (Closes: #623503)

 -- Philipp Kern <pkern@debian.org>  Mon, 09 May 2011 23:20:03 +0200

openvpn (2.1.3-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Mar 2011 23:28:26 +0000

openvpn (2.1.3-2ubuntu3) natty; urgency=low

  * update-resolv-conf: Correctly handle multiple dns search domains,
    using the same logic as nameservers.  Patch courtesy of Jeremy 
    Zawodny. (LP: #662847)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 11 Mar 2011 00:23:59 +0000

openvpn (2.1.3-2ubuntu2) natty; urgency=low

  * update-resolv-conf: Support mulitple domains (LP: #714358)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 15:21:46 -0500

openvpn (2.1.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    +  debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 23 Oct 2010 01:59:28 +0100

openvpn (2.1.3-1ubuntu2) natty; urgency=low

  * Fix jjo-ipv6-support.patch to avoid assertion failure at socket.c:629 in
    corner cases where ! host && addr (LP: #627973)

 -- Thierry Carrez (ttx) <thierry.carrez@ubuntu.com>  Wed, 20 Oct 2010 16:22:25 +0200

openvpn (2.1.3-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatablitiy
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 Oct 2010 06:21:14 +0100
