## openvpn 2.2.0-1maemo1

=== debian/changelog ===
openvpn (5:2.2.0-1maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 20 Aug 2011 00:11:14 +0200
