## openvpn 2.2.1

=== debian/changelog ===
openvpn (2.2.1-7) unstable; urgency=low

  * Add dpkg-buildflags call on plugins built too.
    Thanks Simon Ruderich for finding out, the nice patch and
    clarification. (Closes: #655130)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Mar 2012 10:49:28 +0100

openvpn (2.2.1-6) unstable; urgency=low

  * /run transition: Replaced usage of /dev/.udev with /run/udev,
    when checking for the usage of udev. Depend on initscripts
    (>= 2.88dsf-13.3) to guarantee the existence of /run/udev
    in case udev is being used. (Closes: #644321)
    Patch by Pieter du Preez.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 09 Mar 2012 13:44:50 +0100

openvpn (2.2.1-5) unstable; urgency=low

  * Avoid sending ICMP redirects when using tun devices and "subnet"
    topology. Thanks Simon Deziel for testing and the patch.
    (Closes: #656241)
    The init.d script will set all.send_redirects=0 when using "dev tun"
    and "topology subnet". More info in README.Debian.
  * Several manpage fixes

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 23 Feb 2012 17:25:54 +0100

openvpn (2.2.1-4) unstable; urgency=low

  * Use dpkg-buildflags to fill CFLAGS in ./configure. (Closes: #655130)
  * debian/rules: Moved to dh.
  * debian/rules: Changed DEB_BUILD_ARCH_OS with DEB_HOST_ARCH_OS.
  * Removed quilt Build-Depends.
  * debian/openvpn.default: Clarify what "vpn name" refers to.
    (Closes: #657610)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 08 Feb 2012 16:31:32 +0100

openvpn (2.2.1-3) unstable; urgency=low

  * The iproute fiasco release.
  * Remove --enable-iproute2 dependency since it's only available in Linux.
    Write that in the changelog so I don't forget _again_ why iproute is not
    set... (Closes: #652702)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2011 13:06:05 +0100

openvpn (2.2.1-2) unstable; urgency=low

  * debian/rules: Force path to 'ip' command so that it's set correctly even
    if not present (in the buildd). (Closes: #652702)
  * Fix OMIT_SENDSIGS logic on init.d script. (Closes: #652703)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2011 07:21:07 +0100

openvpn (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Added OMIT_SENDSIGS option in init.d script to let openvpn run after
    sendsigs on system reboot or shutdown. (Closes: #636864)
  * Configure with --enable-iproute2.
  * Change path to route on kFreeBSD. (Closes: #646221) Thanks Robert Millan.


 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 13 Dec 2011 11:04:22 +0100
