## openvpn 2.3.2-1maemo1

=== debian/changelog ===
openvpn (5:2.3.2-1maemo1) unstable; urgency=low

  * Updated to 2.3.2 release
  * Added again easy-rsa 1.0 and easy-rsa 2.2.2
  * Updated debian patches
  * Added push-continuation.patch (Ticket: #349)

 -- Xes <xes.maemo@gmail.com>  Mon, 20 Jan 2013 00:01:04 +0200
